# Get Endpoint - GetJobMaskById
Loads ELO mask with the provided id.
# HTTP Request
One of the following requests should be made:
GET /odata/syncjobsmasks({key})
GET /odata/syncjobsmasks/{key}
The endpoint supports the following OData query parameters: $select, $expand
# Path parameters
| Name | Description |
|---|---|
| key | required. Id of sync job elo mask that should be loaded. |
# Query parameters
| Name | Description |
|---|---|
| repository | optional. Destination repository key. |
# Request headers
| Name | Description |
|---|---|
| Authorization | required. Bearer {token}. See authorization |
# Responses
| Code | Description | Type |
|---|---|---|
200 | If the load of sync job elo mask was successful. | array MaskEntity |
400 | Request contains invalid data. | |
500 | When an server error occurs during the load of sync job elo mask. |
# Example
# Request
The following is an example of how to call the endpoint:
GET /odata/syncjobsmasks(1)?repository=repo1
# Response
The following example shows the response:
Information
The response object is truncated for clarity. Default properties will be returned from the call.
{
"@odata.context": "https://elosyncurl/odata/$metadata#SyncJobsMasks",
"value": [
{
"maskId":1,
"name":"E-Mail",
"eloMaskId":"2",
"type":"DocMask",
"syncJobId":2
}
]
}